GroovyPagesException (Grails 3.1.4)
Date: 2016-03-16

Package: org.grails.gsp

## [Java] Class GroovyPagesException

- org.grails.gsp.GroovyPagesException

- All Implemented Interfaces and Traits:
    SourceCodeAware

      public class GroovyPagesException
      extends GrailsException

  Thrown when processing GSP pages.

  Authors:
    Graeme Rocher
  Since:
    0.5

- - ### Constructor Summary

    Constructors
    Constructor and description
    `GroovyPagesException (java.lang.String message, java.lang.Throwable e)`
    `GroovyPagesException (java.lang.String message, java.lang.Throwable exception, int lineNumber, java.lang.String fileName)`
    `GroovyPagesException (java.lang.String message)`

  - ### Methods Summary

    Methods
    Type | Name and description
    --- | ---
    `java.lang.String` | `getFileName()`
    `int` | `getLineNumber()`

  - ### Inherited Methods Summary

    Inherited Methods
    Methods inherited from class | Name
    --- | ---
    `class java.lang.RuntimeException` | `java.lang.RuntimeException#printStackTrace(), java.lang.RuntimeException#printStackTrace(java.io.PrintWriter), java.lang.RuntimeException#printStackTrace(java.io.PrintStream), java.lang.RuntimeException#fillInStackTrace(), java.lang.RuntimeException#getCause(), java.lang.RuntimeException#initCause(java.lang.Throwable), java.lang.RuntimeException#toString(), java.lang.RuntimeException#getMessage(), java.lang.RuntimeException#getLocalizedMessage(), java.lang.RuntimeException#getStackTrace(), java.lang.RuntimeException#setStackTrace([Ljava.lang.StackTraceElement;), java.lang.RuntimeException#addSuppressed(java.lang.Throwable), java.lang.RuntimeException#getSuppressed(), java.lang.RuntimeException#wait(long, int), java.lang.RuntimeException#wait(long), java.lang.RuntimeException#wait(), java.lang.RuntimeException#equals(java.lang.Object), java.lang.RuntimeException#hashCode(), java.lang.RuntimeException#getClass(), java.lang.RuntimeException#notify(), java.lang.RuntimeException#notifyAll()`

- - ### Constructor Detail

    - #### public GroovyPagesException(java.lang.String message, java.lang.Throwable e)

    - #### public GroovyPagesException(java.lang.String message, java.lang.Throwable exception, int lineNumber, java.lang.String fileName)

    - #### public GroovyPagesException(java.lang.String message)

  - ### Method Detail

    - #### public java.lang.String getFileName()

    - #### public int getLineNumber()